Sikkerhedsopdateringer til Adobe Flash Player

Udgivelsesdato: 20. februar 2014

Id for sikkerhedsproblem: APSB14-07

Prioritet: Se tabel nedenfor

CVE-nummer: CVE-2014-0498, CVE-2014-0499, CVE-2014-0502

Platform: Alle platforme

Resumé

Adobe har udgivet sikkerhedsopdateringer til Adobe Flash Player 12.0.0.44 og tidligere versioner til Windows- og Macintosh samt Adobe Flash Player 11.2.202.336 og tidligere versioner til Linux. Disse opdateringer vedrører sikkerhedsproblemer, der potentielt kan give en hacker mulighed for at få kontrol over det berørte system. Adobe er opmærksom på rapporter om en udnyttelse rettet mod CVE-2014-0502 og anbefaler derfor brugere, at de opdaterer deres produktinstallationer til de seneste versioner:

  • Brugere af Adobe Flash Player 12.0.0.44 og tidligere versioner til Windows og Macintosh bør opdatere til Adobe Flash Player 12.0.0.70
  • Brugere af Adobe Flash Player 11.2.202.336 og tidligere versioner til Linux bør opdatere til Adobe Flash Player 11.2.202.341.
  • Adobe Flash Player 12.0.0.44, der er installeret med Google Chrome, vil automatisk blive opdateret til den nyeste Google Chrome-version, som vil medtage Adobe Flash Player 12.0.0.70 til Windows, Macintosh og Linux.
  • Adobe Flash Player 12.0.0.44, som er installeret med Internet Explorer 10, opdateres automatisk til den seneste version af Internet Explorer 10, som indeholder Adobe Flash Player 12.0.0.70 til Windows 8.0.
  • Adobe Flash Player 12.0.0.44, som er installeret med Internet Explorer 11, opdateres automatisk til den seneste version af Internet Explorer 11, som indeholder Adobe Flash Player 12.0.0.70 til Windows 8.1.
  • Brugere af Adobe AIR 4.0.0.1390 og tidligere versioner bør opdatere til Adobe AIR 4.0.0.1628.
  • Brugere af Adobe AIR 4.0.0.1390 SDK og tidligere versioner bør opdatere til Adobe AIR 4.0.0.1628 SDK.
  • Brugere af Adobe AIR 4.0.0.1390 SDK & Compiler samt tidligere versioner bør opdatere til Adobe AIR 4.0.0.1628 SDK & Compiler.

 

Berørte softwareversioner

  • Adobe Flash Player 12.0.0.44 og tidligere versioner til Windows og Macintosh
  • Adobe Flash Player 11.2.202.336 og tidligere versioner til Linux
  • Adobe AIR 4.0.0.1390 og tidligere versioner til Android
  • Adobe AIR 3.9.0.1390 SDK og tidligere versioner
  • Adobe AIR 3.9.0.1390 SDK & Compiler og tidligere versioner

For at kontrollere, hvilken version af Adobe Flash Player der er installeret på dit system, skal du gå ind på Om Flash Player-siden eller højreklikke på indhold, der kører i Flash Player, og vælge "Om Adobe (eller Macromedia) Flash Player" via menuen. Hvis du anvender flere webbrowsere, skal du udføre denne kontrol i hver webbrowser, der er installeret på systemet.

For at kontrollere versionen af Adobe Flash Player til Android skal du gå til Indstillinger > Applikationer > Håndter applikationer > Adobe Flash Player x.x.

For at kontrollere, hvilken version af Adobe AIR, der er installeret på dit system, skal du følge instruktionerne i Adobe AIR TechNote.

Løsning

Adobe anbefaler, at brugerne opdaterer deres software ved at følge nedenstående anvisninger:

  • Adobe anbefaler, at brugere af Adobe Flash Player 12.0.0.44 og tidligere versioner til Windows og Macintosh opdaterer til den nyeste version 12.0.0.70 ved at downloade den fra Adobe Flash Player Download Center eller via opdateringsmekanismen i produktet, når man bliver spurgt.
  • Adobe anbefaler, at brugere af Adobe Flash Player 11.2.202.336 og tidligere versioner til Linux opdaterer til Adobe Flash Player 11.2.202.341 ved at downloade den fra Adobe Flash Player Download Center.
  • For brugere af Flash Player 11.7.700.261 og tidligere versioner til Windows og Macintosh, som ikke kan opdatere til Flash Player 12.0.0.44, har Adobe gjort opdateringen af Flash Player 11.7.700.269 tilgængelig, der kan downloades her.
  • Adobe Flash Player 12.0.0.44, der er installeret med Google Chrome, vil automatisk blive opdateret til den nyeste Google Chrome-version, som vil medtage Adobe Flash Player 12.0.0.70 til Windows, Macintosh og Linux.
  • Adobe Flash Player 12.0.0.44, som er installeret med Internet Explorer 10, opdateres automatisk til den seneste version af Internet Explorer 10, som indeholder Adobe Flash Player 12.0.0.70 til Windows 8.0.
  • Adobe Flash Player 12.0.0.44, som er installeret med Internet Explorer 11, opdateres automatisk til den seneste version af Internet Explorer 11, som indeholder Adobe Flash Player 12.0.0.70 til Windows 8.1.
  • Brugere af Adobe AIR 4.0.0.1390 SDK bør opdatere til Adobe AIR 4.0.0.1628 SDK.
  • Brugere af Adobe AIR 4.0.0.1390 SDK & Compiler samt tidligere versioner bør opdatere til Adobe AIR 4.0.0.1680 SDK & Compiler.
  • Brugere af Adobe AIR 4.0.0.1390 og tidligere versioner til Android bør opdatere til Adobe AIR 4.0.0.1628 ved at gå til Google Play på en Android enhed.

Prioritets- og alvorlighedsgrader

Adobe kategoriserer disse opdateringer med følgende prioritetsgrader og anbefaler, at brugere opdaterer deres installation til den nyeste version:

Produkt Opdateret version Platform Prioritetsgrad
Adobe Flash Player 12.0.0.70
Windows og Macintosh
1
  12.0.0.70 Internet Explorer 10 til Windows 8.0 1
  12.0.0.70 Internet Explorer 11 til Windows 8.1 1
  12.0.0.70 Chrome til Windows, Macintosh og Linux 1
  11.7.700.269 Windows og Macintosh 1
  11.2.202.341 Linux 3
Adobe AIR 4.0.0.1628 Android 3
Adobe AIR SDK og Compiler 4.0.0.1628 Windows og Macintosh
3
Adobe AIR SDK 4.0.0.1628 Windows og Macintosh 3

Disse opdateringer løser kritiske sikkerhedsproblemer i softwaren.

Yderligere oplysninger

Adobe har udgivet sikkerhedsopdateringer til Adobe Flash Player 12.0.0.44 og tidligere versioner til Windows og Macintosh samt Adobe Flash Player 11.2.202.336 og tidligere versioner til Linux. Disse opdateringer vedrører sikkerhedsproblemer, der potentielt kan give en hacker mulighed for at få kontrol over det berørte system. Adobe er opmærksom på rapporter om en udnyttelse rettet mod CVE-2014-0502 og anbefaler derfor brugere, at de opdaterer deres produktinstallationer til de seneste versioner:

  • Brugere af Adobe Flash Player 12.0.0.44 og tidligere versioner til Windows og Macintosh bør opdatere til Adobe Flash Player 12.0.0.70
  • Brugere af Adobe Flash Player 11.2.202.336 og tidligere versioner til Linux bør opdatere til Adobe Flash Player 11.2.202.341.
  • Adobe Flash Player 12.0.0.44, der er installeret med Google Chrome, vil automatisk blive opdateret til den nyeste Google Chrome-version, som vil medtage Adobe Flash Player 12.0.0.70 til Windows, Macintosh og Linux.
  • Adobe Flash Player 12.0.0.44, som er installeret med Internet Explorer 10, opdateres automatisk til den seneste version af Internet Explorer 10, som indeholder Adobe Flash Player 12.0.0.70 til Windows 8.0.
  • Adobe Flash Player 12.0.0.44, som er installeret med Internet Explorer 11, opdateres automatisk til den seneste version af Internet Explorer 11, som indeholder Adobe Flash Player 12.0.0.70 til Windows 8.1.
  • Brugere af Adobe AIR 4.0.0.1390 og tidligere versioner bør opdatere til Adobe AIR 4.0.0.1628.
  • Brugere af Adobe AIR 4.0.0.1390 SDK og tidligere versioner bør opdatere til Adobe AIR 4.0.0.1628 SDK.
  • Brugere af Adobe AIR 4.0.0.1390 SDK & Compiler samt tidligere versioner bør opdatere til Adobe AIR 4.0.0.1628 SDK & Compiler.

Disse opdateringer løser et sikkerhedsproblem med stack-overflow, der kan medføre vilkårlig kodekørsel (CVE-2014-0498).

Disse opdateringer løser et sikkerhedsproblem med hukommelseslækage, der kan bruges til at omgå adresserandomiseringen i hukommelsen (CVE-2014-0491).

Disse opdateringer løser et sikkerhedsproblem med double free-fejl, der kan medføre vilkårlig kodekørsel (CVE-2014-0498).

Påvirket software     Anbefalet Player-opdatering Tilgængelighed
Flash Player 12.0.0.44 og tidligere versioner til Windows og Macintosh   12.0.0.70 Flash Player Download Center
Flash Player 12.0.0.44 og tidligere versioner (netværksdistribution)   12.0.0.70 Flash Player-licens
Adobe Flash Player 11.2.202.336 og tidligere versioner til Linux   11.2.202.336 Flash Player Download Center
Flash Player 12.0.0.44 og tidligere til Chrome (Windows, Macintosh og Linux)   12.0.0.70
Google Chrome-frigivelser
Flash Player 12.0.0.44 og tidligere i Internet Explorer 10 til Windows 8.0   12.0.0.70
Microsoft Security Advisory
Flash Player 12.0.0.44 og tidligere i Internet Explorer 11 til Windows 8.1   12.0.0.70
Microsoft Security Advisory
AIR 4.0.0.1390 og tidligere til Android   4.0.0.1628 Google Play
AIR 4.0.0.1390 SDK & Compiler   4.0.0.1628 AIR SDK Download
AIR 4.0.0.1390 SDK   4.0.0.1628 AIR SDK Download

Tak til følgende personer

Adobe vil gerne takke følgende personer og organisationer for at rapportere de relevante sikkerhedsproblemer og for at samarbejde med Adobe for at beskytte vores kunder: